[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Can we add a check to see if user is using old or obsolete code?

From: Kim F. Storm
Subject: Re: Can we add a check to see if user is using old or obsolete code?
Date: 21 Feb 2003 01:35:47 +0100
User-agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.3.50

address@hidden (Kai Großjohann) writes:

> Actually, list-load-path-shadows is executed when you install Emacs.

This requires that the conflicting files are named identically.  The
problem with CUA is that the old and new files have different names,
and the file name has actually changed three times, so this is
unfortunately not a viable option for CUA.

Also, the shadowing may easily be introduced later if the user
modifies the load-path in his own .emacs file.

> IMHO it would be useful to make that output more prominent.
> Doesn't Emacs include a versioned site-lisp directory in the
> load-path by default?  So the installation instructions could suggest
> to use that for such cases.  But it could be that the directory is in
> load-path only for versions > 21.3.

That only works if all existing users have installed the old cua
package in those directories (provided they exist).  Not something
I would rely on.

I now have a pretty good working solution for CUA based on
eval-after-load.  I'll install it shortly.

Kim F. Storm <address@hidden> http://www.cua.dk

reply via email to

[Prev in Thread] Current Thread [Next in Thread]